SDL_min(3)

NAME
SDL_min - Return the lesser of two values.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_min(x, y) (((x) < (y)) ? (x) : (y))

DESCRIPTION
This is a helper macro that might be more clear than writing out the comparisons directly, and works with any type that can be compared with the < operator. However, it double-evaluates both its parameters, so do not use expressions with side-effects here.

MACRO PARAMETERS

x   the first value to compare.

y   the second value to compare.

RETURN VALUE
Returns the lesser of x and y.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.